Subject: HBF standard ?

From: Stephen G Simpson <[email-masked]>
Date: Thu, 11 Feb 93 21:38:40 -0500

Greetings,

About the HBF or "standardization_chinese_bitmap_fonts" discussion
group.  I have not heard anything from the group recently.  It appears
that a pretty good consensus has emerged, but nobody has time to sit
down and write the detailed document describing the proposed standard.

Would someone care to give at least a sketch or summary of the
proposed standard?  Hopefully this summary could serve as a working
document for software authors who are in need of guidance.

For example, I am writing a small MS-DOS educational program,
tentatively called FLASH, for use by people like me, i.e.
English-speaking students of the Chinese language.  The program
including source code will be freely available.  The purpose of the
program is to display flashcards for Chinese character drill, using
24x24 bitmaps for both GB/simplified and BIG5/traditional characters.

Consider my perspective as a software author.  I am willing to rewrite
FLASH to conform to any reasonable standard for bitmaps, but I am
waiting for the standard to emerge.  If the standard does not emerge
by the time I am ready to release FLASH, I guess I will simply
distribute it with the bitmaps that I happen to be using.  This means
that FLASH.ZIP will be on the order of 500 to 1200 K, instead of 60 K.

One problem I have is that the traditional character bitmaps that I am
using are derived from ET's, so maybe I am not allowed to distribute
them freely.  One possible solution is to distribute FLASH without
traditional character bitmaps, but in a form that can be used with
ET's bitmaps.  The user of FLASH would then have to buy his own copy
of ET.  In addition to the obvious disadvantages, there is also the
possibility that ET Inc. could change its font format, so that the
needed bitmaps will no longer be easily available.  There are also
advantages -- people who already have ET could use FLASH with no need
for additional fonts.  Any comments?

Once again this points up the need for a set of public domain 24x24
traditional character bitmaps.  But, until such bitmaps appear, the ET
bitmaps are the closest approximation.  Therefore, one suggestion I
have for the HBF group is that the ET bitmaps should be somehow
incorporated into the proposed standard.

Best wishes,

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20@PSUVM
FAX: +1 814 865-3735